Subject: bug#13302: Series of 'Warning - invalid active: ...' during retrieving mail

From: Tomasz Gajewski <[email-masked]>
Date: Wed, 02 Jan 2013 01:26:01 +0100

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Tomasz Gajewski <[email-masked]> writes:
>
>>   byte-code("..." [group ignore-errors nil debug gnus-message 3
>> "Warning - invalid active: %s" point-at-bol point-at-eol] 5)
>>   gnus-active-to-gnus-format((nnnil "") [0 0 0 0 0
>> nnml+wp:wp\.scons-dev 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
>> nnml+wp:wp\.bitc-dev 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
>> ...] nil t)
>>   gnus-read-active-file-1((nnnil "") nil)
>
> Oh, it's reading the active data from the nnnil method that fails.
> That should be, like, impossible.
>
> Do you have an old version of nnnil.el in your load path shadowing the
> version in Emacs 24?  What does `M-x list-load-path-shadows' say?

You are right.

/usr/share/emacs24/site-lisp/gnus-bonus-el/nnnil hides /usr/share/emacs/24.1/lisp/gnus/nnnil

It is a problem with ubuntu packaging I think. gnus-bonus-el provides
nnnil but for emacs24 probably shouldn't. I removed this package and it
fixed the issue.

It seems it is a known problem for a long time:

http://permalink.gmane.org/gmane.emacs.gnus.general/69083

and even

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609698

but it seems that there is no fix yet.

I really appreciate your help. Thank you.

Should I close the bug somehow or you will do this?

Regards
Tomasz Gajewski